/*
	Abstracts are helpers, variables and functions
	for scss compliation.
*/
/* Slider */
.slick-slider {
  position: relative;
  display: block;
  box-sizing: border-box;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  touch-action: pan-y;
  -webkit-tap-highlight-color: transparent;
}

.slick-list {
  position: relative;
  overflow: hidden;
  display: block;
  margin: 0;
  padding: 0;
}

.slick-list:focus {
  outline: none;
}

.slick-list.dragging {
  cursor: pointer;
  cursor: hand;
}

.slick-slider .slick-track,
.slick-slider .slick-list {
  transform: translate3d(0, 0, 0);
}

.slick-track {
  position: relative;
  left: 0;
  top: 0;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.slick-track:before, .slick-track:after {
  content: "";
  display: table;
}

.slick-track:after {
  clear: both;
}

.slick-loading .slick-track {
  visibility: hidden;
}

.slick-slide {
  float: left;
  height: 100%;
  min-height: 1px;
  display: none;
}

[dir=rtl] .slick-slide {
  float: right;
}

.slick-slide img {
  display: block;
}

.slick-slide.slick-loading img {
  display: none;
}

.slick-slide.dragging img {
  pointer-events: none;
}

.slick-initialized .slick-slide {
  display: block;
}

.slick-loading .slick-slide {
  visibility: hidden;
}

.slick-vertical .slick-slide {
  display: block;
  height: auto;
  border: 1px solid transparent;
}

.slick-arrow.slick-hidden {
  display: none;
}

/**==================================================================================================================================
BREAKPOINT
 ==================================================================================================================================*/
/**==================================================================================================================================
BREAKPOINT ENDS
==================================================================================================================================*/
span.edit-link {
  display: inline-block;
  background-color: yellow;
  font-weight: 700;
  position: fixed;
  left: 0;
  bottom: 3.125rem;
  transform: translateX(-45px);
  transition: all 0.2s;
}

span.edit-link a {
  display: block;
  padding: 0.9375rem;
}

span.edit-link:hover {
  transform: translateX(0);
}

/*
	Variables for compliation
	NB! Colors should be added to base/config file as css root variable.
*/
/**
 * Block section background colors.
 * Include the background options ACF fields group to use these.
 */
/*
 * makes ul/ol as a dropdown select (normaly in mobile)
 * Structure: div > title > list > li > a
*/
/*
	Variables for legacy dc plugins
*/
section.product-hero .block-section-wrapper {
  display: flex;
  align-items: flex-start;
  gap: 8rem;
  padding-left: 3.125rem;
  padding-right: 3.125rem;
}

@media screen and (max-width: 63.99875em) {
  section.product-hero .block-section-wrapper {
    flex-direction: column;
    align-items: stretch;
    gap: 3rem;
    padding-left: 0;
    padding-right: 0;
  }
}
section.product-hero .content {
  width: 40%;
}

@media screen and (max-width: 63.99875em) {
  section.product-hero .content {
    width: 100%;
    margin-bottom: 1rem;
    order: 2;
    padding-left: 1.5625rem;
    padding-right: 1.5625rem;
  }
}
section.product-hero .media {
  width: 60%;
}

@media screen and (max-width: 63.99875em) {
  section.product-hero .media {
    width: 100%;
    order: 1;
  }
}
section.product-hero .title {
  font-weight: 600;
  font-size: clamp(2rem, 2vw + 2rem, 3.75rem);
  margin-bottom: 2.5rem;
}

@media screen and (max-width: 63.99875em) {
  section.product-hero .title {
    margin-bottom: 1.5rem;
  }
}
section.product-hero .text {
  font-size: 1.125rem;
  text-wrap: balance;
  margin-bottom: 8rem;
}

@media screen and (max-width: 74.99875em) {
  section.product-hero .text {
    margin-bottom: 4rem;
  }
}
@media screen and (max-width: 63.99875em) {
  section.product-hero .text {
    font-size: 1rem;
  }
}
section.product-hero .buttons {
  display: flex;
  flex-wrap: wrap;
  gap: 3rem;
}

@media screen and (max-width: 63.99875em) {
  section.product-hero .buttons {
    gap: 1.5rem;
  }
}
section.product-hero img {
  display: block;
  width: 100%;
  height: auto;
  max-height: 36.625rem;
  -o-object-fit: cover;
     object-fit: cover;
}
